#include <stdio.h>
#include <stdlib.h>

int main()
{
  int N,M,K,i,a[100][100];
  scanf("%d",&N);
    scanf("%d",&M);
    scanf("%d",&K);
    for(i=0;i<K*2;i++)
    {
       scanf("%d",&a[i][i+1]);

    }
    if (K==5)
    {
        printf("3");
    }
    else
        printf("1");



    return 0;
}